Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 130573 - Go To Declaration
Go To Declaration
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Nejedly
issues@javafx
http://wiki.netbeans.org/JavaFXEditor...
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-03-19 22:15 UTC by David Strupl
Modified: 2008-06-27 11:19 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-03-19 22:15:11 UTC
Implement Go To Declaration.
Comment 1 Martin Ryzl 2008-04-07 14:17:53 UTC
review Apr/7 - can be partly fixed in M2. Missing elements in AST. #### says - find a source, parse it and then use
heuristics
Comment 2 Jiri Prox 2008-04-11 00:31:51 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 3 Petr Nejedly 2008-04-11 07:49:59 UTC
Moving back. This is _JavaFX for 6.1_ M2
Basic infrastructure in place, need better working javafxc to recognize symbol under cursor.
Comment 4 Petr Nejedly 2008-05-26 14:35:19 UTC
Go To Declaration fully works inside a single source file now.
Comment 5 Petr Nejedly 2008-06-23 14:18:26 UTC
Go to Declaration should work across source files and even into java sources as long at the platform is set up correctly
and few bugs are fixed in the right branch of javafxc.
Then the only broken thing would be go-to .java file inside the same project then.
Comment 6 Alexandr Scherbatiy 2008-06-27 11:19:52 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo